New upgrade to "jammy" has unmet dependencies and errors

CrazedNerd

Gold Member
Gold Supporter
Joined
Mar 31, 2021
Messages
593
Reaction score
235
Credits
5,017
If it actually has unmet dependencies...then there was a problem with the installation from the start. Anything I should do? I'm confused by this. Everything seems to be working fine so far.
 


OP
CrazedNerd

CrazedNerd

Gold Member
Gold Supporter
Joined
Mar 31, 2021
Messages
593
Reaction score
235
Credits
5,017
Where are you seeing this? Can you be more descriptive of which dependencies are causing the problem?
They're all gone now, but ubuntu wasn't anymore descriptive than i was. There was a warning that said something like "...means it has to do with dependencies" up in the bar at the top right corner of the screen. One of the errors during installation was related to firefox, while the terminal in the update screen said something like "snap installing firefox".
 

KGIII

Super Moderator
Staff member
Gold Supporter
Joined
Jul 23, 2020
Messages
6,706
Reaction score
5,861
Credits
53,998
Huh... LOL Well, I guess the problem's solved. I'm not sure how, or why. I test a few Ubuntu versions and haven't ever come across that. (I mostly test Lubuntu, but I test Ubuntu when I find something concerning.)
 
OP
CrazedNerd

CrazedNerd

Gold Member
Gold Supporter
Joined
Mar 31, 2021
Messages
593
Reaction score
235
Credits
5,017
Huh... LOL Well, I guess the problem's solved. I'm not sure how, or why. I test a few Ubuntu versions and haven't ever come across that. (I mostly test Lubuntu, but I test Ubuntu when I find something concerning.)
I was just putting this here in case anyone had a similar experience, and then maybe it's a familiar problem that could be easily explained...errors aren't always a problem.
 
OP
CrazedNerd

CrazedNerd

Gold Member
Gold Supporter
Joined
Mar 31, 2021
Messages
593
Reaction score
235
Credits
5,017
The error display has popped up again in the upper right hand corner:

"An error occurred, please run package manager from the right-click menu or apt-get in a terminal to see what is wrong. The error message was: 'Error: BrokenCount>0'. This usually means your installed packages have un-met dependencies."

When i click "show updates", the notification in the corner just dissappears. Here are possible solutions to the problem:

https://askubuntu.com/questions/263460/what-does-error-broken-count-0-mean

I'm running the repair command in the first answer, the problem still appears to be related to firefox snap...doesn't really seem to matter. I would like it if i could actually learn from this problem instead of it being a complete nuisance.
 
Last edited:

wizardfromoz

Administrator
Staff member
Gold Supporter
Joined
Apr 30, 2017
Messages
7,502
Reaction score
6,350
Credits
26,511
Good Morning (here), Crazy.

If the above has not resolved it, try this article

https://ubuntuforums.org/showthread.php?t=2445642

It is only 2 years old. A couple of the outputs need a little scrolling to rad all content, and there are 2 pages to the thread.

Cheers

Wiz
 
OP
CrazedNerd

CrazedNerd

Gold Member
Gold Supporter
Joined
Mar 31, 2021
Messages
593
Reaction score
235
Credits
5,017
Good Morning (here), Crazy.

If the above has not resolved it, try this article

https://ubuntuforums.org/showthread.php?t=2445642

It is only 2 years old. A couple of the outputs need a little scrolling to rad all content, and there are 2 pages to the thread.

Cheers

Wiz
I'll just go ahead and post on launchpad if the information rears it's head again, I have an account but I haven't posted anything on there because I normally figured it out or found a different alternative
 
$100 Digital Ocean Credit
Get a free VM to test out Linux!

Linux.org Hosting Donations
Consider making a donation

Members online


Latest posts

Top